﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Public Class _Default
    Inherits System.Web.UI.Page

    Dim myProjection As Object = Nothing

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not IsPostBack Then

            'map1.MapBackground.BackgroundBrush = New GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"))
            map1.MapUnit = GeographyUnit.Meter

            Dim bingKey As String = "AipvZtF5FDlF7QlyKhjO8yBTwB4V4hc_plPq0gLMYtaxdn1PSt6hxGXVj2747waY"
            Dim bingO As New BingMapsOverlay("BingWorldMapOverlay", BingMapsStyle.Hybrid, bingKey)
            bingO.IsVisibleInOverlaySwitcher = True
            bingO.IsBaseOverlay = True
            map1.CustomOverlays.Add(bingO)

            Dim proj4 As New Proj4Projection()
            proj4.InternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString()
            proj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString()
            Dim featureSource As New ShapeFileFeatureSource("C:\Users\Dave\Documents\Visual Studio 2010\Projects\thinkgeo_samples\VB Samples\SampleData\USA\quksigx020.shp")
            'featureSource.cust += New EventHandler(Of CustomColumnFetchEventArgs)(featureSource_CustomColumnFetch)
            'featureSource.Open()
            'Dim cols As System.Collections.ObjectModel.Collection(Of ThinkGeo.MapSuite.Core.FeatureSourceColumn) = featureSource.GetColumns()
            'featureSource.Close()
            featureSource.Projection = proj4

            Dim heatLayer As New HeatLayer(featureSource)
            Dim hs As New HeatStyle()
            hs.IntensityColumnName = "other_mag1"
            hs.IntensityRangeStart = 1
            hs.IntensityRangeEnd = 10
            hs.Alpha = 180
            hs.PointRadius = 60
            hs.PointRadiusUnit = DistanceUnit.Kilometer
            heatLayer.HeatStyle = hs
            'heatLayer.FeatureSource.Projection = proj4
            heatLayer.IsVisible = True


            Dim heatlayerOverlay As New LayerOverlay()
            'heatlayerOverlay.IsBaseOverlay = False
            heatlayerOverlay.Layers.Add(heatLayer)
            heatlayerOverlay.Redraw()
            heatlayerOverlay.IsVisible = True
            heatlayerOverlay.IsVisibleInOverlaySwitcher = True
            heatlayerOverlay.IsBaseOverlay = False
            heatlayerOverlay.Opacity = 0.5


            map1.CustomOverlays.Add(heatlayerOverlay)



            'Dim b As New BingMapsOverlay()
            'b.MapType = BingMapsStyle.Hybrid
            'b.IsBaseOverlay = True
            'map1.CustomOverlays.Add(b)

        End If

    End Sub

End Class


Public Class ESRIToGoogleProjection
    Inherits ThinkGeo.MapSuite.Core.Proj4Projection

    Public Sub New()

        MyBase.New()
        'Sets the projection parameters to go from Geodetic (EPSG 4326) or decimal degrees to Google Map projection (Spherical Mercator).
        Me.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326) '//Geodetic (decimal degrees).
        Me.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString() '// Google Map projection (Spherical Mercator)

    End Sub

End Class